---
title: "Get a list of line items for supplier contracts"
slug: "get-a-list-of-line-items-for-supplier-contracts"
updated: 2025-11-21T20:01:47Z
published: 2026-02-10T12:51:19Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of line items for supplier contracts

Get/api/v1/contracts/supplier/contractlineitems

Get a list of line items for supplier contracts.

		
			

**Description**

Retrieve a list with all known 'line items' within Bloxs. Contract line items pertains to the particular contract terms associated with the agreement. Line items include costs invoiced by the supplier, such as planned maintenance costs, security services or cleaning services. It is a generic list, however the user can edit the list in the Bloxs application.

A supplier contract pertains to contracts with a supplier for, for instance, the regular servicing of heating and ventilation systemes in rental properties.

**Use Case**

The user wants to add line items to a supplier contract through the [contract line post operation](/v1-api/apidocs/preview-add-a-contract-line-with-the-amount-for-concept-private-rent-contracts) [](https://www.bloxs.io/apidocs/preview-add-a-contract-line-with-the-amount-for-concept-private-rent-contracts). One of the obligatory fields in the request of this operation is 'lineItemName'. However, the user does not know the options which are available to choose from. The user can utilize this operation to retrieve a list, so a choice can be made regarding which 'lineItemName' to choose.

**Response fields**

The response contains the fields in the table below.

| Field | Description |
| --- | --- |
| lineItemName | The name of the item. |
| defaultDescription | Default description populated for new contract line items (this can be overridden at the individual contract line level). |
| sortingIndex | Order indication for how it should be displayed (in our own interface) or appear on the invoice. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='02e0e9f1-1456-4b19-8c2e-6cda0c577bca'>application/json</option>
</select>Array of object   object  lineItemNamestring    Min length0Max length256
sortingIndexinteger  (int32)    
defaultDescriptionstring   | null  Min length0Max length512
